We upgraded our php version and switched to the new and faster PHP 7.x.

As a result, WordPress may spitting out errors. The cause was partly outdated plugins, which we not update it.

One of these error was: Parse error: syntax error, unexpected ‘new’ (T_NEW) in /public_html/yourdomain.com/wp-content/plugins/some-plugin-folder/somefile.php on line 214

You can try disable the plugin from cpanel first by rename it, it will automaticly disabled the plugin from wp dashboard…. then try download the newest plugin in wordpress.org or the plugin source site and replace it.

Leave a Comment